Package csb :: Package bio :: Package hmm :: Class HHpredHitList

[frames] | no frames]

# Class HHpredHitList

source code

    object --+
             |
            HHpredHitList

Represents a collection of HHpredHits.

Instance Methods

__getitem__(self, index) | source code

__init__(self, hits, query_name=`'````'`, match_columns=-1, no_of_seqs=`'````'`, neff=-1.0, searched_hmms=-1, date=`'````'`, command=`'````'`) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__iter__(self) | source code

__len__(self) | source code

__repr__(self) repr(x) | source code

__str__(self) str(x) | source code

sort(self) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
| command
| date
| match_columns
| neff
| no_of_seqs
| query_name
| searched_hmms
Inherited from `object`: `__class__`

Method Details

### __init__(self, hits, query_name=`'````'`, match_columns=-1, no_of_seqs=`'````'`, neff=-1.0, searched_hmms=-1, date=`'````'`, command=`'````'`)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### __repr__(self)
(Representation operator)

source code

repr(x)

Overrides: object.__repr__
  (inherited documentation)

### __str__(self)
(Informal representation operator)

source code

str(x)

Overrides: object.__str__
  (inherited documentation)

Property Details

### command

Get Method:
  unreachable.command(self)
Set Method:
  unreachable.command(self, value)

### date

Get Method:
  unreachable.date(self)
Set Method:
  unreachable.date(self, value)

### match_columns

Get Method:
  unreachable.match_columns(self)
Set Method:
  unreachable.match_columns(self, value)

### neff

Get Method:
  unreachable.neff(self)
Set Method:
  unreachable.neff(self, value)

### no_of_seqs

Get Method:
  unreachable.no_of_seqs(self)
Set Method:
  unreachable.no_of_seqs(self, value)

### query_name

Get Method:
  unreachable.query_name(self)
Set Method:
  unreachable.query_name(self, value)

### searched_hmms

Get Method:
  unreachable.searched_hmms(self)
Set Method:
  unreachable.searched_hmms(self, value)